1. Mailboxes
  • Welcome to the Cold Mail Reseller API
  • Get Started
    • Overview
    • Authentication
    • Quick Start
  • Core Concepts
    • Users
    • Domains
    • DNS Management
    • Mailboxes
    • Subscriptions
    • Pre-Warmup
    • Domain Renewal
    • 1+ Year Subscriptions
    • Mailbox Warmup
    • Platform Exports
    • OAuth Exports
    • Sandbox API
  • API Reference
    • Users
      • List Users
      • Get User
      • Create User
      • Update User
      • Delete User
    • Geo
      • List Countries
      • List States
    • Domains
      • Domain Renewal
        • Get Domain Renewal Prices
        • Renew Domains
        • Toggle Domain Auto-Renew
      • Get Domains by User
      • Check Domain Availability
      • Check Single Domain Availability
      • Check Workspace Existence
      • Set Domain Forwarding
      • Set Email Forwarding
      • Delete Domains
    • DNS
      • Get DNS Records
      • Add DNS Records
      • Update DNS Record
      • Update Nameservers
      • Delete DNS Record
    • Mailboxes
      • List Mailboxes
        GET
      • Get Mailboxes by User
        GET
      • Get Mailbox
        GET
      • Get Admin Mailbox Details
        GET
      • Update Mailbox Details
        PATCH
      • Delete Mailbox
        DELETE
    • Mailbox Warmup
      • Add Warmup to Mailbox
      • Toggle Warmup
      • Update Warmup Settings
      • Set Warmup Status
      • Disable Warmup
    • Orders
      • Get Order Status
      • Get Order Details
      • Create Order
      • Create Order (JSON)
      • Create Mailbox Order (JSON)
      • Process Order
    • Subscriptions
      • 1+ Year Subscription
        • Recreate Subscription
      • Get Subscriptions
      • Renew Subscriptions
      • Cancel Subscription
      • Toggle Auto-Renewal
    • Exports
      • Platform Exports
        • Get Platform Credentials
        • Add Platform Credential
        • Export Mailboxes to Platform
        • Remove Platform Credential
      • OAuth Exports
        • Perform OAuth
        • Add Client ID to Domains
    • Pre-Warmup
      • Sandbox
        • Get Sandbox Pre-warmup Domains
        • Order Sandbox Pre-warmup
        • Reset Sandbox Pre-warmup
      • Get Pre-warmup Domains
      • Order Pre-warmup
    • Placement Test
      • Create Placement Order
      • Get Placement Reports
  • Resources
    • Errors
    • Rate Limits
    • Pagination
    • Sandbox
    • MCP
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Mailbox Events
      • Subscription Events
      • Prewarmup Events
      • Mailbox Warmup Events
  • Schemas
    • Error
    • Success
    • MessageResponse
    • User
    • Domain
    • ErrorResponse
    • Mailbox
    • Subscription
    • DnsRecord
    • Error Response
    • Pagination Meta
    • Action Error Response
    • PrewarmupOrderResult
    • OrderCreationResult
  1. Mailboxes

Get Mailbox

GET
/mailboxes/mailbox
Returns full details for a single mailbox, including warmup enrollment status.
warmupDetails is null when the mailbox is not enrolled in warmup.

Warmup not enrolled#

{ "warmupDetails": null }

Warmup enrolled#

{
  "warmupDetails": {
    "isWarmup": true,
    "warmupStatus": "ACTIVE"
  }
}
Possible warmupStatus values: ACTIVE, PAUSED, STOPPED.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Responses

🟢200Success
application/json
Mailbox fetched successfully
Bodyapplication/json

🟠422Unprocessable Entity
🟠403Forbidden
🟠404Not Found
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/mailboxes/mailbox?mailboxId=GP6M2J2DHXM3F2J40S8AP316R2QR' \
--header 'cmr-x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": 200,
    "message": "Mailbox fetched successfully",
    "data": {
        "id": "GP6M2J2DHXM3F2J40S8AP316R2QR",
        "firstName": "Alice",
        "lastName": "Johnson",
        "profilePicture": "https://cdn.example.com/avatar.jpg",
        "email": "alice@acmecorp.com",
        "username": "alice",
        "domain": "acmecorp.com",
        "password": "********",
        "isAdmin": false,
        "appPassword": "********",
        "authenticatorSecret": "JBSWY3DPEHPK3PXP",
        "expireOn": "2025-12-31",
        "warmupDetails": null
    }
}
Modified at 2026-08-06 06:20:56
Previous
Get Mailboxes by User
Next
Get Admin Mailbox Details
Built with